{% import 'AppBundle:Macros:macros.html.twig' as this %}

{% if menu and menu == 1 %}
    <div id="groups">
        {#<button type="button" class="hamburger is-open" data-toggle="offcanvas">#}
        {#<span class="hamb-top"></span>#}
        {#<span class="hamb-middle"></span>#}
        {#<span class="hamb-bottom"></span>#}
        {#</button>#}

        {% include 'AppBundle:Group:menu.html.twig' %}
    </div>
{% else %}

    {% set translateBase = 9 %}
    {% set translateBaseX = 1 %}
    {% if menu %}
        <div id="groups">
        {#<ul style="padding: 0px; list-style: none; top:-50%; margin:0px;">#}
    {% else %}
        <div id="groups" style="min-height: 40em; clear: both">

        <ul class='circle-container'>
    {% endif %}
    {% for g in wgroups %}
        {# compute values to design schema on rotations and translations #}

        {#variables initialisation#}
        {% set angular = 90 + (((loop.index) * 360) / wgroups|length) %}
        {% set angular = angular  % 360 %}
        {% set angular1 = angular % 180 %}
        {% set valueTranslateX = 0 %}
        {% set valueTranslateY = translateBase %}

        {% if not menu %}
            {% if angular1 <= 90 %}
                {% set value = angular1 / 90 %}
            {% else %}
                {% set value = (180 - angular1) / 90 %}
            {% endif %}
            {% if angular > 180 %}
                {% set valueTranslate = value %}
                {#{% set valueTranslateX = translateBaseX %}#}
            {% else %}
                {% set valueTranslate = -value %}
                {#{% set valueTranslateX = -translateBaseX %}#}
            {% endif %}

            {% set transX =  angular - 90 %}
            {% if transX < 0 or transX > 180  %}
                {% set valueTranslateX = translateBaseX %}
            {% elseif transX > 0 or transX < 180 %}
                {% set valueTranslateX = -translateBaseX %}
            {% endif %}
            {% set valueTranslateY = translateBase - valueTranslate * 4 %}

            {% if wgroups | length == 7 and loop.index == 3 %}
                {% set valueTranslateX = -2.5 %}
            {% elseif wgroups | length == 7 and loop.index == 4 %}
                {% set valueTranslateX = 2.5 %}
            {% elseif wgroups | length == 7 and loop.index == 7 %}
                {% set valueTranslateY = valueTranslateY + 1 %}
            {% endif %}
            {% set valueTranslate="70%" %}
        {% elseif group is defined and g.id == group.id %}
            {% set valueTranslate="30%" %}
            {% set valueTranslateY = -2 %}
            {% set angular = 270 %}
        {% else %}
            {% set valueTranslate="3em" %}
            {% set valueTranslateX = -5 %}
        {% endif %}
        {% include 'AppBundle:Group:_group.html.twig' %}
    {% endfor %}

    {% if not menu %}
    {% if masterGroup is defined  and masterGroup %}
        {% set angular = 0 %}
        {% set valueTranslate = 0 %}
        {% set valueTranslateX = 0 %}
        {% set valueTranslateY = translateBase %}
        {% set g = masterGroup %}
        {% include 'AppBundle:Group:_group.html.twig' %}
    {% endif %}
    </ul>
{% endif %}
    </div>
{% endif %}